Skip to main content
PUT
Error

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

alias
string<string>
required

The app's namespace or its UUID

id
string<string>
required

The resource ID

Body

application/json

Agent update request

Body for PUT /v1/apps/{alias}/agents/{id}.

agent
object
required

Discriminator wrapper. Exactly one subtype field must be populated.

tools
object[]

Optional tool list. If present, the agent's existing tools are replaced with this list.

a2aSkills
object[]

Optional A2A skill list. If present, the agent's existing A2A skills are replaced with this list.

Response

Ok

Free-form JSON object forwarded to/from the downstream service.